The Spring Framework

## org.springframework.orm.jpa
Class JpaSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.UncategorizedDataAccessException
                                  org.springframework.orm.jpa.JpaSystemException

All Implemented Interfaces:
  Serializable

    public class JpaSystemException

extends UncategorizedDataAccessException

JPA-specific subclass of UncategorizedDataAccessException, for JPA system errors that do not match any concrete `org.springframework.dao` exceptions.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `EntityManagerFactoryUtils.convertJpaAccessExceptionIfPossible(java.lang.RuntimeException)`, Serialized Form

Constructor Summary
`JpaSystemException(javax.persistence.PersistenceException ex)`

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JpaSystemException

    public JpaSystemException(javax.persistence.PersistenceException ex)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.